MagickMind
  1. Runtime
  • Documentation
    • Get started
      • Introduction
      • Quick Start
      • First API Call
    • Core Concepts
      • Projects
      • Corpus
      • Mindspaces
      • End-Users
      • Websocket
    • Authentication
      • Overview
      • OAuth Flow
      • API Keys
    • Guides
      • Creating a Corpus
      • Managing End-Users
    • SDK
      • Python
      • Go
  • API Reference
    • v1
      • Auth
        • Login
        • Refresh Token
      • End-Users
        • Create End-User
        • Get End-User by ID
        • Update End-User
        • Query End-Users
        • Delete End-User
      • Project
        • Create Project
        • Get Project by ID
        • Get Project List
        • Update Project
        • Delete Project
      • Mindspaces
        • Create Mindspace
        • Update Mindspace
        • Get Mindspace by ID
        • Get Mindspace List
        • Delete Mindspace
        • Get Mindspace Messages
        • Delete Mindspace
        • Add Mindspace Users by ID
      • Chat
        • Magick Mind Chat
      • Realtime
        • Websocket Subscribe
      • Runtime
        • Get Effective Personality
          GET
        • Invalidate Cache
          POST
  1. Runtime

Get Effective Personality

Developing
Prod Env
https://api.magickmind.ai
Prod Env
https://api.magickmind.ai
GET
/v1/runtime/effective-personality/{persona_id}

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Query Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.magickmind.ai/v1/runtime/effective-personality/699e6f1ad030d8a288abca31?user_id' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{}'
Response Response Example
{}
Previous
Websocket Subscribe
Next
Invalidate Cache
Built with